Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xslt
Class XSLProcessorException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.xml.sax.SAXException
                        |
                        +--org.apache.xalan.xpath.XPathException
                              |
                              +--org.apache.xalan.xslt.XSLProcessorException

public class XSLProcessorException
extends XPathException

The exception used for most XSLT errors.

See Also:
  Serialized Form

Constructor Summary
`XSLProcessorException(java.lang.Exception e)` Create an XSLProcessorException object that holds another exception that caused this exception.
`XSLProcessorException(java.lang.String message)` Create an XSLProcessorException object that holds an error message.
`XSLProcessorException(java.lang.String message, java.lang.Exception e)` Create an XSLProcessorException object that holds an error message, and another exception that caused this exception.

Methods inherited from class org.apache.xalan.xpath.XPathException
`getException, getMessage, getStylesheetNode, printStackTrace, printStackTrace`

Methods inherited from class org.xml.sax.SAXException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSLProcessorException

    public XSLProcessorException(java.lang.String message)

  Create an XSLProcessorException object that holds an error message.
  Parameters:
    `message` - The error message.

### XSLProcessorException

    public XSLProcessorException(java.lang.String message,
                                 java.lang.Exception e)

  Create an XSLProcessorException object that holds an error message, and another exception that caused this exception.
  Parameters:
    `message` - The error message.
    `e` - The exception that caused this exception.

### XSLProcessorException

    public XSLProcessorException(java.lang.Exception e)

  Create an XSLProcessorException object that holds another exception that caused this exception.
  Parameters:
    `e` - The exception that caused this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.